std::bad_function_call(3)

NAME
std::bad_function_call - Exception class thrown when class template function's operator() is called with an empty target.

SYNOPSIS

Inherits std::exception.

  Public Member Functions
const char * what () const noexcept

Detailed Description

Exception class thrown when class template function's operator() is called with an empty target.

Definition at line 56 of file std_function.h.

Member Function Documentation

  const char* std::bad_function_call::what () const [virtual], [noexcept]
Returns a C-style character string describing the general cause of the current error.

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.